Package org.apache.wiki.api.plugin

# Interface WikiPlugin

All Superinterfaces:
  `org.apache.wiki.api.plugin.Plugin`

@Deprecated public interface WikiPlugin extends org.apache.wiki.api.plugin.Plugin
Deprecated.
use `Plugin` instead
Defines an interface for plugins. Any instance of a wiki plugin should implement this interface.

See Also:
  - `Plugin`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Method Summary

Modifier and Type
Method
Description
`default String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
Deprecated.
`String`
`execute(org.apache.wiki.WikiContext context, Map<String,String> params)`
Deprecated.

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getDisplayName, getSnipExample`

## Method Details

### execute

default String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException
Deprecated.

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`

### execute

String execute(org.apache.wiki.WikiContext context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.PluginException`